xf 2.0 Similar threads 3.7

Нет прав для скачивания
Надстройка похожих потоков будет выполнять следующие действия:
  • Показывать список похожих тем, когда пользователь создает новую тему.
  • Показывать список похожих тем, когда пользователь просматривает тему.
(Пример похожих тем, показанных при создании поста)





(Пример похожих потоков, показанных в виде потока)




(Пример страницы параметров)




(Пример разрешений групп пользователей)




Особенности:
  • Разрешения на просмотр форума соблюдены. Если член не имеет разрешения на просмотр определенных форумов, подобные потоки не будут показаны с этих форумов.
  • Поддержка расширенного поиска.
  • Все фразы начинаются с similarthreads_ для вашего удобства.
Монтаж:
  1. Загрузите Andy-SimilarThreads-3.7.zip и разархивируйте его.
  2. Скопируйте каталог src / addons / Andy / SimilarThreads на ваш сервер.
  3. На панели управления администратора установите надстройку.
Разрешения группы пользователей:

обычно вы хотите установить «Разрешить» для следующих двух групп пользователей:

Unregistered / Unconfirmed
Registered.

Создание дополнительного виджета.

Этот виджет используется для отображения аналогичного потока на боковой панели просмотра потока.
  1. Панель управления администратора -> Внешний вид -> Виджеты
  2. Определение виджета = Похожие темы
  3. Виджет key = Similar_threads
  4. Заголовок = (оставьте поле пустым)
  5. Отображение в позициях = Вид темы: Боковая панель
  6. Нажмите «Сохранить».
(Пример виджета похожих потоков)




Расширенный поиск:

Чтобы включить расширенный поиск, выберите на странице Параметры. Убедитесь, что на вашем сервере установлен ElasticSearch 6.x.

Улучшенный поиск дает лучшие аналогичные результаты, потому что он использует прерывание.

Вопрос и ответы: В

: Должен ли я когда-либо перестраивать индексы поиска или потока, чтобы использовать это дополнение?
A: Нет.

Вопрос: искали ли названия нитей и сообщения?
A: Обыскиваются только названия нитей.

Q: Является ли «Просмотреть темы другими» установленным No или Never honored?
A: Нет. Вам нужно будет исключить эти форумы на странице параметров.

В: Чтобы использовать расширенный поиск, какая версия Elasticsearch и Enhanced search мне понадобится?
A: Вам понадобится Elasticsearch 6.0.0 (или более новый) и Расширенный поиск 1.1.7 (или новее).
Автор
vadim
Скачивания
0
Первый выпуск
Обновление
Оценка
0,00 звёзд 0 оценок

Другие ресурсы пользователя vadim

  • OC 3.0.x Pav Simtech
    Тема Opencart 3 для нескольких типов магазинов с современной и креативной концепцией дизайна,
  • OC 3.0.x Pav Xstore
    Тема с элегантным стилем для модного магазина.
  • xf 2.0 Weekly digest
    Отправляет по электронной почте своим пользовател каждую неделю с указанием наиболее популярных тем.
  • xf 2.0 User tag email
    Отправляет уведомление по электронной почте, когда вы помечены в сообщении
  • xf 2.0 RSS feed
    Добавляет виджет RSS-канала
Рейтинг@Mail.ru

Сверху